clear;
clc;

data = importdata('F:\й\My papers\22_LRGASP_project\3_results\2_evaluation_results\7_Simulated_data\isoform_error_threshold_1.tsv');
iso_metric = data.data(:,[1,2,6]);
iso_name = data.textdata(2:end,1:5);

data = importdata('F:\й\My papers\22_LRGASP_project\3_results\2_evaluation_results\7_Simulated_data\gene_error_threshold_1.tsv');
gene_metric = data.data(:,[1,2,6]);
gene_name = data.textdata(2:end,1:5);

for i=1:size(gene_name,1)
   gene_name{i,6} = 'genes'; 
end

for i=1:size(iso_name,1)
   iso_name{i,6} = 'isoforms'; 
end


metric = [gene_metric; iso_metric];
name = [gene_name; iso_name];
max_value = max(metric(:,1));
min_value = min(metric(:,1));
metric(:,1) = (max_value-metric(:,1))/(max_value-min_value);

max_value = max(metric(:,3));
min_value = min(metric(:,3));
metric(:,3) = (max_value-metric(:,3))/(max_value-min_value);



%% isoform
clear iso_name iso_metric
index = find(strcmp('isoforms',name(:,6)));
iso_metric = metric(index,:);
iso_name = name(index,:);
%% genes
clear gene_name gene_metric
index = find(strcmp('genes',name(:,6)));
gene_metric = metric(index,:);
gene_name = name(index,:);

%% Tools
tools = unique(iso_name(:,1));
file_tools = 'all_tools_mean.tsv';
fout3 = fopen(file_tools,'wt');

for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},iso_name(:,1)));
   
   clear ave;
   if length(index)==1
       ave = iso_metric(index,:)
   else
       ave = mean(iso_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'wt');
   fout2 = fopen(file_name2,'wt');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'isoforms',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
   fprintf(fout3,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'isoforms',ave); 
   fclose(fout1);
   fclose(fout2);

end

tools = unique(gene_name(:,1));
for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},gene_name(:,1)));
   
   clear ave;
   if length(index)==1
       ave = gene_metric(index,:)
   else
       ave = mean(gene_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'a');
   fout2 = fopen(file_name2,'a');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'genes',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
   fprintf(fout3,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'genes',ave); 
   fclose(fout1);
   fclose(fout2);

end
fclose(fout3);



%% protocols
tools = unique(iso_name(:,3));
for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},iso_name(:,3)));
   
   clear ave;
   if length(index)==1
       ave = iso_metric(index,:)
   else
       ave = mean(iso_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'wt');
   fout2 = fopen(file_name2,'wt');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'isoforms',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
    
   fclose(fout1);
   fclose(fout2);

end

tools = unique(gene_name(:,3));
for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},gene_name(:,3)));
   
   clear ave;
   if length(index)==1
       ave = gene_metric(index,:)
   else
       ave = mean(gene_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'a');
   fout2 = fopen(file_name2,'a');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'genes',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
    
   fclose(fout1);
   fclose(fout2);

end


%% platforms
tools = unique(iso_name(:,4));
for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},iso_name(:,4)));
   
   clear ave;
   if length(index)==1
       ave = iso_metric(index,:)
   else
       ave = mean(iso_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'wt');
   fout2 = fopen(file_name2,'wt');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'isoforms',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
    
   fclose(fout1);
   fclose(fout2);

end

tools = unique(gene_name(:,4));
for i=1:length(tools)
   clear index
   index = find(strcmp(tools{i,1},gene_name(:,4)));
   
   clear ave;
   if length(index)==1
       ave = gene_metric(index,:)
   else
       ave = mean(gene_metric(index,:));
   end
   
   file_name1 = [tools{i,1},'_all_mean.tsv'];
   file_name2 = [tools{i,1},'_mean.tsv'];
   fout1 = fopen(file_name1,'a');
   fout2 = fopen(file_name2,'a');
   
   fprintf(fout1,'%s\t%s\t%f\t%f\t%f\n',tools{i,1},'genes',ave);
   fprintf(fout2,'%f\t%f\t%f\n',ave);
    
   fclose(fout1);
   fclose(fout2);

end
